Android Studio 2©2ch.net

1デフォルトの名無しさん 転載ダメ©2ch.net2016/06/03(金) 17:10:20.38ID:sY/p26YF

547デフォルトの名無しさん2017/11/18(土) 20:56:56.46ID:oyO/aJNh
つ、突っ込まないぞ

548デフォルトの名無しさん2017/11/18(土) 21:41:32.47ID:kl8n9Pj5
>>546
罰ゲーム程におそいのか

549デフォルトの名無しさん2017/11/18(土) 21:50:19.09ID:sGEpNTmp
そだね>>546は別に間違っていないとおも環境がwinという前置きが足りてないくらいか

550デフォルトの名無しさん2017/11/19(日) 10:48:25.56ID:E5DVFTo4
色々調べてみたけどRyzen使うのは難行苦行でしかないね
ここは無難にi7かなぁ。。

スレ違いだけど、DELLがゲーム用にRyzen PC出してる。
DELLがAMD扱うなんてInterlの牙城が崩されてますなあ。

551デフォルトの名無しさん2017/11/19(日) 11:05:39.81ID:XyG920Zj
538デフォルトの名無しさん2017/11/18(土) 17:35:07.64ID:rK9d7ATz>>540
開発環境にAMD選ぶ奴は仕事のできないバカ
うちに居たらクビにするわ

552デフォルトの名無しさん2017/11/19(日) 11:16:31.31ID:E5DVFTo4
>>551
ほぅ、従業員をクビにできる権限をお持ちなのですね。

553デフォルトの名無しさん2017/11/19(日) 12:57:26.67ID:yh5wScuD
2chでくらい、夢を見させてやれよ

554デフォルトの名無しさん2017/11/19(日) 13:24:12.72ID:Mp8vKl7d
WindowsでASを使う時点で罰ゲームな気がするが
Linux版使った方が動作は速い

555デフォルトの名無しさん2017/11/19(日) 16:33:03.09ID:E5DVFTo4
自宅のPCをLinuxメインにしようと思ったことは何度もあるが
Windows、.NETにどっぷりと浸かってメシ食ってる身分としては踏ん切りがつかぬな。

556デフォルトの名無しさん2017/11/20(月) 10:41:20.29ID:j2e9V0hx
やっぱりRyzen辞めたのか
時間の無駄だったな

557デフォルトの名無しさん2017/11/20(月) 12:24:04.79ID:uOVYWa0n
なんでそんなにRyzen憎しなの?
AMDに親でも○されたのか?

558デフォルトの名無しさん2017/11/20(月) 14:05:52.11ID:usE1MWLX
Intelの人なんじゃないw

559デフォルトの名無しさん2017/11/20(月) 19:26:50.86ID:U7p2GA3b
>>557
AM

560デフォルトの名無しさん2017/11/20(月) 19:39:31.35ID:U7p2GA3b
>>557
途中で送信してもたがな

AMDは嫌いじゃないけど余計な苦労はしたくないのだ。

561デフォルトの名無しさん2017/11/21(火) 04:00:28.41ID:kKfP1Fpq
仮想化支援もインテルと互換にすればよかったのにね
それともインテルがわざと違うもの作ったのかそこらの経緯は知らんけど

562デフォルトの名無しさん2017/12/07(木) 19:42:08.60ID:u8uenPE/
AndroidStudioのスタックトレースってバグるんですか?
ブレークしたところから逆に辿ろうとしたら、明らかにコールされてない無関係ぽいコードの行がでてるんですが・・・

563デフォルトの名無しさん2017/12/07(木) 22:40:46.37ID:52c2MwAP
>>562
自分で書いたコード?SDKのコード?

564デフォルトの名無しさん2017/12/08(金) 11:42:55.76ID:9AYyVtUP
>>563
たしかにSDKの部分ですね、
そんなバカな

565デフォルトの名無しさん2017/12/08(金) 12:27:07.17ID:qHO2bK42
AS側で表示しているSDK部のソースと実際のコードにズレがあるのはよくあること

566デフォルトの名無しさん2017/12/08(金) 12:30:56.27ID:QGRJCkdA
>>564
SDKのソースコードのバージョンが合ってないと正確に一致はしないね
実機だとSDKに独自修正が入っている事すらあって、その場合はソースコードの入手が難しいけど

567デフォルトの名無しさん2017/12/08(金) 18:48:58.49ID:9AYyVtUP
>>565
>>566
疑問払拭、ありがとう!!

568デフォルトの名無しさん2018/01/10(水) 21:30:42.82ID:4v1ySjVm

569デフォルトの名無しさん2018/01/14(日) 10:14:41.46ID:xwm/ZMvW
過疎ってるなぁ
AS3準拠版のKotlinメイン解説の入門書はまだ発売されないのかな?

570デフォルトの名無しさん2018/01/14(日) 14:44:24.79ID:2MJ+oHtx
Kotlinになってからやる気でない

571デフォルトの名無しさん2018/01/14(日) 18:24:12.91ID:Ona1IouF
これがas3準拠の最新入門書かな?
Kotlinはノータッチみたいだがw

http://www.shoeisha.co.jp/book/detail/9784798152028

572デフォルトの名無しさん2018/01/14(日) 18:40:24.55ID:osBfrwJ+
出たばかりだしまだまだJavaだと思うけど、Kotlinメインに変わっていくのか
今更他言語入る脳みそ持ってない

573デフォルトの名無しさん2018/01/14(日) 20:59:04.59ID:LEc3m9w0
>>572
多分、これまでのAS入門書の著者達もそんな感じなんだろうね

574デフォルトの名無しさん2018/01/29(月) 22:10:16.44ID:OAHpORg+
Android Studioをインストールしたのですが、
エラーが出て実行できません。

http://fast-uploader.com/file/7072786941391/

575デフォルトの名無しさん2018/01/29(月) 23:39:55.06ID:qC9NSwYQ
>>574
単純にSDK ManagerでBuild Tools revision 26.0.2をインストールすれば良いんじゃないの

576デフォルトの名無しさん2018/01/30(火) 00:00:25.10ID:86t7NxYM
無理に多言語使う必要なくない…?
言語は使うことが目的じゃないでしょ
必要に応じて使うもの

大体俺なんてjavaさえマスターできてないのに

577デフォルトの名無しさん2018/01/30(火) 01:03:53.54ID:sRWpAt6q
AS 3.0にはbuild-tools 26.0.2を強要する謎仕様がある
build.gradleを編集してbuildToolsVersionを書き加えればいいんだけど、毎回面倒
AS 3.1 Canaryでは27.0.1が強要されるし、訳わからん

578デフォルトの名無しさん2018/01/30(火) 01:36:25.22ID:kvKCXNFn
ここに書いてあるのじゃないの?
https://developer.android.com/studio/releases/build-tools.html

Android plugin for Gradle 3.0.0 以上だと、デフォルトのbuild-toolsバージョンが暗黙に指定されてて、
それがインストールされてないとエラーになるのかな

デフォルト以外の build-tools を使いたいときには build.gradle に書けばよいと

579デフォルトの名無しさん2018/01/30(火) 08:38:10.14ID:b9IDfAQu
別にマスターする必要は無いよ
必要に応じて覚えていくだけ
必要になった事が無い部分は知らなくてもおk

5805742018/01/30(火) 09:04:49.37ID:pz74p0va
Build Tools revision 26.0.2が無かった見たいです。

ありがとうございました。

581デフォルトの名無しさん2018/01/31(水) 01:22:59.61ID:/qjSPfRs
buildToolsVersionをOptionalにしたのなら、せめて導入されているものから選択されるようにするべきだと思うんだけど(そこに26.0.2以上という条件をつけるにしても)
今の状況だと、普通にセットアップ完了した人が初めてプロジェクト作成したら、必ず26.0.2が入っていないとエラーになるわけで、これではただの入門者殺し
Googleが積極的に殺したい意図があるなら仕方ないのか

582デフォルトの名無しさん2018/01/31(水) 19:45:05.62ID:MGIYuzja
>>581
時間の問題かな。

583デフォルトの名無しさん2018/02/01(木) 16:54:51.00ID:LDKv//sc
Googleとしてはオープンソースはもうやめたいけど今更ライセンス料
払ってくれるプロ以外は何も作るなともいえないので外堀から
埋めてるんでしょ

まぁ今の端末の状態やアプリに対するAPIの強制要求なんかを
見てるとサンデープログラマーは相手にしてませんってことなんだ
ろうけど

584デフォルトの名無しさん2018/02/02(金) 02:04:05.52ID:jZSRBdDA
普通にセットアップすると、最新の安定版buildToolsがインストールされて、
プロジェクトを作ると最新のandroidプラグインを使ったプロジェクトができて、
最新のandroidプラグインはデフォルトで最新の安定板buildToolsを使うようになってるから
普通は問題起きないんじゃね?

585デフォルトの名無しさん2018/02/02(金) 03:40:52.44ID:zWDnzXHT
>>584
そうならないから問題にしてるんだけど

586デフォルトの名無しさん2018/02/02(金) 18:51:36.26ID:s+zjtWwl
>>585
WindowsのAndroidStudio3.0.xは、新規プロジェクト作成時にBuild-Tools26.0.2を自動でダウンロードしてくれる
今確かめてみた

587デフォルトの名無しさん2018/02/02(金) 19:11:22.73ID:/6mb2VnF
ほんとだ新規プロジェクト作成中にbuild-tools 26.0.2をインストールするようになってる

588デフォルトの名無しさん2018/02/02(金) 19:29:55.78ID:s+zjtWwl
作ったプロジェクト閉じて、Build-Tools 26.0.2をアンインストールして、プロジェクト開き直すと、Build-Tools 26.0.2 が無いってエラー出る
でも、このエラーメッセージが Build-Tools 26.0.2 をインストールするリンクになってるから、クリック一発で問題は解決する

589デフォルトの名無しさん2018/02/02(金) 21:03:50.50ID:zWDnzXHT
> 最新の安定版buildToolsがインストールされて、

Rev26の最新安定版って26.0.3なんだけど

590デフォルトの名無しさん2018/02/02(金) 22:12:17.36ID:zWDnzXHT
新規プロジェクト作成時にBuild-Tools 26.0.2がダウンロードされるには、Build-Toolsが一つも入っていない状態である必要があるみたいだな
普通にSDKを新規セットアップしたら27.0.3がインストールされてしまうから、これをわざわざアンインストールしなきゃならんわけだ

いやー便利だな

591デフォルトの名無しさん2018/02/02(金) 22:30:40.84ID:go4rphZM
MacBookPro2016にAndroid studio 3.0.1入れたけど
何もしてないアイドル状態でCPU使用率が50%前後で温度が80度とかになってファンがうるさい。
最近何かアップデートしてからこの症状が出たんだけど、どうにかならんものか。

592デフォルトの名無しさん2018/02/02(金) 23:00:48.99ID:s+zjtWwl
>>590
古いBuild-toolsあっても26.0.2が自動ダウンロードされた
27があるとだめだとしても、エラーメッセージクリックでのダウンロードは有効だとおもうけどね
後で試しておいてやるよ

593デフォルトの名無しさん2018/02/02(金) 23:04:17.57ID:s+zjtWwl
>>589
実際は最新じゃなくて>>586 >>588 みたいな仕組みだった

594デフォルトの名無しさん2018/02/03(土) 01:17:37.65ID:JVQRxr61
確かに 26.0.2 より高いバージョンのBuild-toolsがあると、プロジェクト作成時の自動ダウンロードはしてくれないな
26.0.2 より高いバージョンが無い状態にすれば、26.0.2 を自動ダウンロードしてくれる
でも作成時自動ダウンロードなくても作成後のエラーメッセージクリックすれば即ダウンロードしてくれるから、
特に問題は無いと思うよ

595デフォルトの名無しさん2018/02/04(日) 00:14:37.96ID:uJTrEg0Y
GooglePlayServicesとAppCompatの親和性ないな、とりあえず目に見える実害はなさそうだけど。でもそのうちAppCompatを捨てる日がくるのかな。つうかなんでGooglePlayServicesにAppCompatのdependencyあるんだろ

596デフォルトの名無しさん2018/02/04(日) 03:05:09.98ID:jQQPuGSR
情弱

597デフォルトの名無しさん2018/02/09(金) 20:34:25.82ID:xBJp4a8L
これエミュだけのバグかなあ
Android8.0(API26)のエミュで初期起動したとき権限のページが開いて
オンにして戻ってもう一回権限チェックの処理いれて実行ってやると思うけど

そのもう一回権限チェックのときオンにしてあってもfalseが返ってくる
他のAPI lebelではtrueが返ってくる

手持ちの実機がまだ8.0降ってこないんで権限チェックの実装する人は確認してみて

新着レスの表示
レスを投稿する